// This example script shows some commands to change attributes of images

result("Starting script #10 \n")		// just a output text line

image  IMG
IMG := RealImage("Test",4,100,100) = icol
ShowImage(IMG)

string NAME
NAME = GetName(IMG)			// reads the name of an image
SetName(IMG,"My Image")		// sets the name of an image

number SCx,SCy,Ox,Oy
GetScale(IMG,SCx,SCy)		// Gets the scale (units/pixel) for X and Y dimension
SetScale(IMG,0.1,0.1)		// Sets the scale for X and Y
GetOrigin(IMG,Ox,Oy)		// Gets the coordinates of the origin
SetOrigin(IMG,0,0)			// Sets the origin (in this case to the top/left corner)

SetSurvey(IMG,0)			// turns off the "auto-survey" of the image display limits
SetSurvey(IMG,1)			// turns on the "auto-Survey"
SetSurveyTechnique(IMG,2)	// Sets the "auto-survey" technique. 
							// 0=cross wire , 1=whole image , 2=sparse , 3=reduction
number HIGH,LOW
GetLimits(IMG,LOW,HIGH)		// Gets the current high & low limits of the image display, 
SetLimits(IMG,0,100)			// Sets high & low limits for the image display, if "auto-survey" is off

SetInversionMode(IMG,1)		// Turns on "inverted contrast" (0 to turn it off)
SetZoom(IMG,1)				// Sets the ZOOM of an image to 200% (Doesn not change size of window)

number SX,SY,WX,WY,IWX,IWY
GetWindowSize(IMG,SX,SY)	// Gets the size of the image window (in pixels).
SetWindowSize(IMG,150,150)	// Sets the size of the image window (in pixels). The ZOOM is automatically
							// adjusted, just as when resizing the window with the mouse.

GetWindowPosition(IMG,WX,WY)			// Gets the position of the image window within the DM application.
SetWindowPosition(IMG,200,30)			// Sets the position of the image window with respect to the 
										// application window. Be careful not to use y<30 or the window
										// will be "hidden" behind the menubar.
SetImagePositionWithinWindow(IMG,0,0) 	// Sets the position of the top-left corner of the image with
										// respect to the image window. Remember: Image ZOOM plays a role.