// TASK 06: 
//	Write and test a script which does the following:
//	1) 	Create an image of size 2x6 with predefined values (see example below).
//	2) 	Think of this image as 6 points with coordinates X/Y. Perform a linear fit through
//		these points, calculating k,d for y = k*x + d
//	3)	Use the linear equation to produce a graph (1D-image) with 200 points from
//		x=-10 to x=10. Display this graph as lineplot.

image 	POINTS, LINEPLOT
number 	k,d
number	s_x, s_y, s_xx, s_xy
number	scale, origin

POINTS := [2,6] :
	{
	{2,12.5},
	{4,23.8},
	{7,43.2},
	{9,52.6},
	{11,67.7},
	{12,71.8}
	}

s_x 	= sum(POINTS[0,0,5,1])
s_y 	= sum(POINTS[0,1,5,2])
s_xy	= sum(POINTS[0,0,5,1]*POINTS[0,1,5,2])
s_xx	= sum(POINTS[0,0,5,1]*POINTS[0,0,5,1])

k	= (6*s_xy - s_x*s_y ) / (6*s_xx-s_x*s_x)
d	= (s_y-k*s_x)/6

result("Linear regression yields: k:"+k+" d:"+d)

LINEPLOT := RealImage("Graph",4,200,1)
scale 	= 0.1
origin  = -10
LINEPLOT = (origin+scale*icol)*k+d
Showimage(LINEPLOT)

SetScale(LinePlot,scale,1)				// SetScale sets the scale for X and Y 
SetOrigin(LinePlot,-origin/scale,1)		// SetOrigin sets the origin with respect
										// to the top left corner of the image.
										// e.g. SetOrigin(IMG,10,10) places the
										// origin at pixel (10,10) of IMG.
				
